Send an order

Creates a SubmitOrder business transaction from a metadata structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The more parameter of the call informs the server whether additional document attachments are expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.

🚧

TESTING 1,2,3, ...

  • SELF: USER.SELFIDENTIFIER - USER.SELFNAME
  • OTHER: USER.OTHERIDENTIFIER - USER.OTHERNAME

ISSUES

  • Not working in request examples at all.
  • Not updated when switching between API Keys, the variables are not rendered on the page (or even after leaving page and coming back).

The following example contains the minimum JSON body required to create a valid order. These elements are mandatory.

{
  "messageHandling": {
    "receiverIdentifier": "USER.OTHERIDENTIFIER",  // receiver identifier, to whom to send the order
    "fallbackEmailAddress": "[email protected]"
  },
  "order": {
    "orderNo": "ORD1234",
    "issueDate": "2019-05-26T10:15:42.774Z",
    "currencyCode": "USD",
    "customer": {
      "name": "USER.SELFNAME",   // sender name
      "identifier": "USER.SELFIDENTIFIER",  // sender identifier, must match the logged in user
      "address": {
        "streetNameAndNumber": "42nd Street 1",
        "city": "New York",
        "postalZone": "10036",
        "countryCode": "US"
      }
    },
    "supplier": {
      "name": "USER.OTHERNAME",  // receiver name
      "identifier": "USER.OTHERIDENTIFIER", // receiver identifier
      "address": {
        "streetNameAndNumber": "14th Street 52",
        "city": "New York",
        "postalZone": "10011",
        "countryCode": "US"
      }
    },
    "orderLines": [
      {
        "name": "Product A",
        "quantity": 1,
        "unitOfMeasure": {
          "unit": "Rec20",
          "code": "KHZ"
        },
        "unitPriceAmount": 1000
      }
    ]
  }
}

Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string

The identifier of the conversation.
Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

boolean
required

Signals if the current document is the last document that the message is supposed to contain.
If that is true, the processing starts immediately.

string
enum

The way the transaction is processed.

Allowed:
services
array of strings

A list of services that the user specifies for additional message processing.

services
Body Params

Metadata structure for creating a SubmitOrder business transaction.

messageHandling
object
required

Message delivery information.

order
object
required

The metadata structure of an order.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml